package android.support.v4.app;

import android.support.v4.app.y.e;

class y$a implements e {
    final boolean FL = false;
    final int id;
    final String packageName;
    final String tag = null;

    y$a(String str, int i) {
        this.packageName = str;
        this.id = i;
    }

    public final void a(q qVar) {
        if (this.FL) {
            qVar.J(this.packageName);
        } else {
            qVar.b(this.packageName, this.id, this.tag);
        }
    }

    public final String toString() {
        StringBuilder stringBuilder = new StringBuilder("CancelTask[");
        stringBuilder.append("packageName:").append(this.packageName);
        stringBuilder.append(", id:").append(this.id);
        stringBuilder.append(", tag:").append(this.tag);
        stringBuilder.append(", all:").append(this.FL);
        stringBuilder.append("]");
        return stringBuilder.toString();
    }
}
